﻿using System;

namespace Support.ViewModels
{
	public class ImageViewModel : ViewModelBase
	{
		private string source;
		private string title;
		private TimeSpan updateInterval;

		public ImageViewModel(string title)
		{
			this.title = title;
			this.source = string.Format("/Images/{0}.jpg", title);
		}

		public ImageViewModel(string title, TimeSpan updateInterval)
			: this(title)
		{
			this.updateInterval = updateInterval;
		}

		public string Source
		{
			get
			{
				return this.source;
			}
			set
			{
				if (this.source != value)
				{
					this.source = value;
					this.OnPropertyChanged("Source");
				}
			}
		}

		public string Title
		{
			get
			{
				return this.title;
			}
			set
			{
				if (this.title != value)
				{
					this.title = value;
					this.OnPropertyChanged("Title");
				}
			}
		}

		public TimeSpan UpdateInterval
		{
			get
			{
				return this.updateInterval;
			}
			set
			{
				if (this.updateInterval != value)
				{
					this.updateInterval = value;
					this.OnPropertyChanged("UpdateInterval");
				}
			}
		}

		public override string ToString()
		{
			return this.Title;
		}
	}
}