﻿using System;
using System.Collections.ObjectModel;

namespace Support.ViewModels
{
	public class MainImageViewModel : ViewModelBase
	{
		private readonly ObservableCollection<ImageViewModel> images;
		private ImageViewModel selectedItem;

		public MainImageViewModel()
		{
			this.images = new ObservableCollection<ImageViewModel>();
			this.images.Add(new ImageViewModel("Chrysanthemum", TimeSpan.FromSeconds(1)));
			this.images.Add(new ImageViewModel("Desert", TimeSpan.FromSeconds(1.5)));
			this.images.Add(new ImageViewModel("Hydrangeas", TimeSpan.FromSeconds(2)));
			this.images.Add(new ImageViewModel("Jellyfish", TimeSpan.FromSeconds(2.5)));
			this.images.Add(new ImageViewModel("Koala", TimeSpan.FromSeconds(3)));
			this.images.Add(new ImageViewModel("Lighthouse", TimeSpan.FromSeconds(3.5)));
			this.images.Add(new ImageViewModel("Penguins", TimeSpan.FromSeconds(4)));
			this.images.Add(new ImageViewModel("Tulips", TimeSpan.FromSeconds(4.5)));
		}

		public ObservableCollection<ImageViewModel> Images
		{
			get
			{
				return this.images;
			}
		}

		public ImageViewModel SelectedItem
		{
			get
			{
				return this.selectedItem;
			}
			set
			{
				if (this.selectedItem != value)
				{
					this.selectedItem = value;
					this.OnPropertyChanged("SelectedItem");
				}
			}
		}
	}
}